### Method

# GUPnP ServiceAction get_value

#### Declaration [src]

    void
    gupnp_service_action_get_value (
      GUPnPServiceAction* action,
      const char* argument,
      GValue* value
    )

#### Description [src]

Retrieves the value of `argument` into `value`.

This method is not directly available to language bindings.

The implementation of this method is provided by `gupnp_service_action_get_gvalue()` in language bindings.

#### Parameters

`argument`

  Type: `const char*`

  The name of the argument to retrieve.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  The `GValue` to store the value of the argument, initialized to the correct type.

  The argument will be modified by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.